Parent task issue

2017-02-13 03:48 - Steve Zhou

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.3.2

Description

Hi,

We found a "Parent task" issue by our user, please refer to the attachment.

Related issues:

Is duplicate of Redmine - Feature #6687: Making an issue a subtask leads to l... New 2010-10-18

History

#1 - 2017-02-13 04:35 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

Things you pointed out are not defect.

Priority field of a parent issue is calculated from subtasks by default. Changes are not displayed in history if calculated from subtasks.

Related issues and parent issue are totally different things. A parent issue is not listed as related issues.

#2 - 2017-02-13 04:44 - Steve Zhou

- Status changed from Closed to Reopened

Thank you for your explanation.

Is it possible to add change logs in parent issue?

In fact, the priority was changed without any evidence.

#3 - 2017-02-13 05:49 - Go MAEDA

Steve Zhou wrote:

Is it possible to add change logs in parent issue?

In fact, the priority was changed without any evidence.

 If you don't prefer auto calculation of the priority field, you can turn off it. Go "Administration" > "Settings" page and open "Issue Traking", set "Parent

tasks attributes > Priority" to "Independent from subtasks".

With the setting, all priority changes should be made by manual operation and all changes are logged.

#4 - 2017-02-13 07:10 - Steve Zhou

Hi MAEDA-san,

Noted with thanks.

#5 - 2017-02-13 10:53 - Go MAEDA

- Status changed from Reopened to Closed

I would be happy if my post is useful for you.

Closing this issue.

#6 - 2017-02-14 08:33 - Mischa The Evil
Go MAEDA wrote:

Steve Zhou wrote:

Is it possible to add change logs in parent issue?

In fact, the priority was changed without any evidence.

 If you don't prefer auto calculation of the priority field, you can turn off it. Go "Administration" > "Settings" page and open "Issue Traking", set

"Parent tasks attributes > Priority" to "Independent from subtasks".

With the setting, all priority changes should be made by manual operation and all changes are logged.

Go, there remains a valid issue with the current implementation when using it with parent tasks attributes setting set to "calculated from subtasks"

which, I think, is what the OP is trying to report here. See #6687. Example:

When you have two issues:

issue1 (priority => normal, start_date => 01-01-2017, due_date => 31-12-2017, %-done => 10 %)

issue2 (priority => immediate, start_date => 05-01-2017, due_date => 05-03-2017, %-done => 50 %)

and now identify issue2 to be part of issue1 and as such edit issue2 to become a subtask of issue1, looking as follows:

issue2 (priority => immediate, start_date => 05-01-2017, due_date => 05-03-2017, %-done => 50 %, parent => issue1)

then issue1 will be changed to look like following without any journal on issue1 to record the previous values of priority, start-/due date and %-done

attributes (estimated time attribute is already fixed by r14272):

issue1 (priority => immediate, start_date => 05-01-2017, due_date => 05-03-2017, %-done => 50 %)

This shows that the conversion of root-issue to parent-issue leads to a silent loss of issue attribute values, which I think is a true problem.

#7 - 2017-02-14 10:08 - Go MAEDA

Mischa, thank you for your explanation.

I have been thinking that it is a design rather than a defect.

Can I set this issue as a duplicate of #6687?

#8 - 2017-02-15 07:15 - Mischa The Evil

- Is duplicate of Feature #6687: Making an issue a subtask leads to loss of issue-property values added

#9 - 2017-02-15 07:15 - Mischa The Evil

- Resolution changed from Invalid to Duplicate

Go MAEDA wrote:

I have been thinking that it is a design rather than a defect.

 Well, the roll-up is expected, but I consider the silent loss of the attribute values a legit defect. I've seen several cases where this was considered as a

blocker to using Redmine's subtasking features.

Can I set this issue as a duplicate of #6687?

 It doesn't fit completely looking at the initial post of the OP, but it fits after OP's feedback. As such I'll set it as a duplicate. Thanks for your support.

Files

Parent task  issue.xlsx 190 KB 2017-02-13 Steve Zhou

Powered by TCPDF (www.tcpdf.org)

2025-07-13 2/2

https://www.redmine.org/issues/6687
https://www.redmine.org/projects/redmine/repository/svn/revisions/14272
https://www.redmine.org/issues/6687
https://www.redmine.org/issues/6687
http://www.tcpdf.org

